Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.69
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class LogScanConfig

    java.lang.Object
      com.sleepycat.je.LogScanConfig

    public class LogScanConfig

extends Object

Specify the attributes of a log scan.

Constructor Summary
`LogScanConfig()` An instance created using the default constructor is initialized with the system's default settings.

Method Summary
`boolean` | `getForwards()` If true is returned, `Environment.scanLog(long, long, com.sleepycat.je.LogScanConfig, com.sleepycat.je.LogScanner)` is configured to scan forwards.
`void` | `setForwards(boolean forwards)` Configure `Environment.scanLog(long, long, com.sleepycat.je.LogScanConfig, com.sleepycat.je.LogScanner)` to scan forwards through the log.
`String` | `toString()` Returns the values for each configuration attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LogScanConfig

    public LogScanConfig()

  An instance created using the default constructor is initialized with the system's default settings.

Method Detail

### setForwards

    public void setForwards(boolean forwards)

  Configure `Environment.scanLog(long, long, com.sleepycat.je.LogScanConfig, com.sleepycat.je.LogScanner)` to scan forwards through the log.

  Parameters:
    `forwards` - If true, configure `Environment.scanLog(long, long, com.sleepycat.je.LogScanConfig, com.sleepycat.je.LogScanner)` to scan forwards through the log. The default is true.

### getForwards

    public boolean getForwards()

  If true is returned, `Environment.scanLog(long, long, com.sleepycat.je.LogScanConfig, com.sleepycat.je.LogScanner)` is configured to scan forwards.

### toString

    public String toString()

  Returns the values for each configuration attribute.

  Overrides:
    `toString` in class `Object`
  Returns:
    the values for each configuration attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.69
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.